## org.apache.lucene.queryParser.standard.config
Class MultiTermRewriteMethodAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.MultiTermRewriteMethodAttributeImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, MultiTermRewriteMethodAttribute, Attribute

    public class MultiTermRewriteMethodAttributeImpl

extends AttributeImpl
implements MultiTermRewriteMethodAttribute

This attribute is used by `ParametricRangeQueryNodeProcessor` processor and should be defined in the `QueryConfigHandler` used by this processor. It basically tells the processor which `MultiTermQuery.RewriteMethod` to use.

See Also:
  `MultiTermRewriteMethodAttribute`, Serialized Form

Field Summary

Fields inherited from interface org.apache.lucene.queryParser.standard.config.MultiTermRewriteMethodAttribute
`TAG_ID`

Constructor Summary
`MultiTermRewriteMethodAttributeImpl()`

Method Summary
`void` `clear()` Clears the values in this AttributeImpl and resets it to its default value.
`void` `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
`boolean` `equals(java.lang.Object other)` All values used for computation of `AttributeImpl.hashCode()` should be checked here for equality.
`MultiTermQuery.RewriteMethod` `getMultiTermRewriteMethod()`
`int` `hashCode()` Subclasses must implement this method and should compute a hashCode similar to this:
`void` `setMultiTermRewriteMethod(MultiTermQuery.RewriteMethod method)`
`java.lang.String` `toString()` The default implementation of this method accesses all declared fields of this object and prints the values in the following syntax:

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiTermRewriteMethodAttributeImpl

    public MultiTermRewriteMethodAttributeImpl()

Method Detail

### setMultiTermRewriteMethod

    public void setMultiTermRewriteMethod(MultiTermQuery.RewriteMethod method)

  Specified by:
    `setMultiTermRewriteMethod` in interface `MultiTermRewriteMethodAttribute`

### getMultiTermRewriteMethod

    public MultiTermQuery.RewriteMethod getMultiTermRewriteMethod()

  Specified by:
    `getMultiTermRewriteMethod` in interface `MultiTermRewriteMethodAttribute`

### clear

    public void clear()

  Description copied from class: `AttributeImpl`
  Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.

  Specified by:
    `clear` in class `AttributeImpl`

### copyTo

    public void copyTo(AttributeImpl target)

  Description copied from class: `AttributeImpl`
  Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.

  Specified by:
    `copyTo` in class `AttributeImpl`

### equals

    public boolean equals(java.lang.Object other)

  Description copied from class: `AttributeImpl`
  All values used for computation of `AttributeImpl.hashCode()` should be checked here for equality. see also `Object.equals(Object)`

  Specified by:
    `equals` in class `AttributeImpl`

### hashCode

    public int hashCode()

  Description copied from class: `AttributeImpl`
  Subclasses must implement this method and should compute a hashCode similar to this:

         public int hashCode() {
           int code = startOffset;
           code = code * 31 + endOffset;
           return code;
         }

  see also `AttributeImpl.equals(Object)`

  Specified by:
    `hashCode` in class `AttributeImpl`

### toString

    public java.lang.String toString()

  Description copied from class: `AttributeImpl`
  The default implementation of this method accesses all declared fields of this object and prints the values in the following syntax:

         public String toString() {
           return "start=" + startOffset + ",end=" + endOffset;
         }

  This method may be overridden by subclasses.

  Overrides:
    `toString` in class `AttributeImpl`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.